/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 */
package com.sun.glass.ui.x11;

import com.sun.glass.ui.Application;
import com.sun.glass.ui.Timer;

/**
 * X11 platform implementation class for Timer.
 *
 * @author Morris Meyer
 */
final class X11Timer extends Timer {
    protected X11Timer(Runnable runnable) {
        super(runnable);
    }

    private static final int minPeriod, maxPeriod;

    native private static int _getMinPeriod();
    native private static int _getMaxPeriod();

    static {
        X11Application.initLibrary();
        minPeriod = _getMinPeriod();
        maxPeriod = _getMaxPeriod();
    }

    static int getMinPeriod_impl() {
        return minPeriod;
    }

    static int getMaxPeriod_impl() {
        return maxPeriod;
    }

    @Override native protected long _start(Runnable runnable, int period);
    @Override native protected void _stop(long timer);
}

